add_pim_library(OMPimCompilerOptions
  PimCompilerOptions.cpp

  EXCLUDE_FROM_OM_LIBS

  INCLUDE_DIRS PRIVATE
  ${PIM_COMPILER_INCLUDE_DIRS}

  LINK_LIBS PUBLIC
  OMCompilerOptions

  ACCEL_INCLUDE_DIRS PRIVATE
  ${PIM_ACCEL_INCLUDE_DIRS}
)

add_pim_library(OMPimCompilerUtils
  PimCompilerUtils.cpp
  PimCodeGen.cpp

  EXCLUDE_FROM_OM_LIBS

  INCLUDE_DIRS PRIVATE
  ${PIM_COMPILER_INCLUDE_DIRS}

  LINK_LIBS PUBLIC
  OMPimCompilerOptions
  OMPimCommon
  OMPimBufferization
  OMPimPasses
  OMONNXToSpatial
  OMSpatialToPim
  OMCompilerPasses

  ACCEL_INCLUDE_DIRS PRIVATE
  ${PIM_ACCEL_INCLUDE_DIRS}
)
